% data.txt (input file with sample data)
% Line 1 - N
% Line 2 - p		(theorical)
% Line 3 - e1	(theorical)
% Line 4 - e2	(theorical)
% Line 5 - M	
% Line 6,7,8...	number of conforming classifications of each inspected item
%
% see saved files (tif)

clc;
clear;
tic;
global pteorico e1teorico e2teorico

load data.txt

[numlinhas,numcolunas] = size(data);
OUTPUT=zeros(numcolunas,17);

status(1,0,2*numcolunas,toc,'Esta primeira estimativa no  confivel');

for i=1:numcolunas
    %  Read data column
    N=data(1,i);
    p=data(2,i);
    e1=data(3,i);
    e2=data(4,i);
    M=data(5,i);
    R=data(6:(N+5),i);
    
    pteorico=p;
    e1teorico=e1;
    e2teorico=e2;    
    
    OUTPUT(i,1)=N;
    OUTPUT(i,2)=p;
    OUTPUT(i,3)=e1;
    OUTPUT(i,4)=e2;
    OUTPUT(i,5)=M;
    
    % Empirical prior distribution
    [PDF,MEAN,MEDIAN,MODE,VARIANCE,CREDIBLE_INTERVAL]=posteriori(N, R, M);
    OUTPUT(i,6)=MEAN;
    OUTPUT(i,7)=MEDIAN;
    OUTPUT(i,8)=MODE(1);
    OUTPUT(i,9)=MODE(2);
    OUTPUT(i,10)=CREDIBLE_INTERVAL(1);
    OUTPUT(i,11)=CREDIBLE_INTERVAL(2);
    status(1,(i-1)*2+1,2*numcolunas,toc,'Calculation...');

    % Non-informative prior distribution
    criterio=ceil(M/2); %arredonda para o inteiro maior ou igual  M/2
    maiorigual=(R>=criterio);
    Rnew=sum(maiorigual);
    [PDF,MEAN,MEDIAN,MODE,VARIANCE,CREDIBLE_INTERVAL]=posteriori(N, Rnew, M);    
    OUTPUT(i,12)=MEAN;
    OUTPUT(i,13)=MEDIAN;
    OUTPUT(i,14)=MODE(1);
    OUTPUT(i,15)=MODE(2);
    OUTPUT(i,16)=CREDIBLE_INTERVAL(1);
    OUTPUT(i,17)=CREDIBLE_INTERVAL(2);
    
    status(1,(i-1)*2+2,2*numcolunas,toc,'Calculation...');
end

save -ascii results.txt OUTPUT
    